diff --git a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java b/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
index 4e6f1520d..a554a441b 100644
--- a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
+++ b/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
@@ -165,7 +165,7 @@ public class ServerPlayer extends Player implements ContainerListener {
     {
     }
 
-    public void func_20057_k()
+    public void setupCraftingInventoryListener()
     {
         craftingInventory.addSlotListener(this);
     }
@@ -441,18 +441,18 @@ public class ServerPlayer extends Player implements ContainerListener {
     }
 
     @Override
-	public EnumSleepStatus sleepInBedAt(int i, int j, int k)
+	public EnumSleepStatus sleepInBedAt(int x, int y, int z)
     {
-        EnumSleepStatus enumstatus = super.sleepInBedAt(i, j, k);
-        if (enumstatus == EnumSleepStatus.OK)
+        EnumSleepStatus status = super.sleepInBedAt(x, y, z);
+        if (status == EnumSleepStatus.OK)
         {
             EntityTracker entitytracker = mcServer.getEntityTracker(dimension);
-            SleepPacket sleepPacket = new SleepPacket(this, 0, i, j, k);
+            SleepPacket sleepPacket = new SleepPacket(this, 0, x, y, z);
             entitytracker.sendPacketToTrackedPlayers(this, sleepPacket);
-            playerNetServerHandler.teleportAndRotate(x, y, z, yRot, xRot);
+            playerNetServerHandler.teleportAndRotate(this.x, this.y, this.z, yRot, xRot);
             playerNetServerHandler.sendPacket(sleepPacket);
         }
-        return enumstatus;
+        return status;
     }
 
     @Override
@@ -620,9 +620,9 @@ public class ServerPlayer extends Player implements ContainerListener {
         }
     }
 
-    public void func_28017_a(AbstractContainerMenu container)
+    public void initializeCraftingInventory(AbstractContainerMenu container)
     {
-        updateCraftingInventory(container, container.func_28127_b());
+        updateCraftingInventory(container, container.getSlotStackList());
     }
 
     @Override
@@ -717,7 +717,7 @@ public class ServerPlayer extends Player implements ContainerListener {
         }
     }
 
-    public void func_30001_B()
+    public void initializeLastFieldValues()
     {
         lastHealth = Integer.MIN_VALUE;
         lastScore = Integer.MIN_VALUE;
@@ -759,15 +759,18 @@ public class ServerPlayer extends Player implements ContainerListener {
     public ServerPacketHandler playerNetServerHandler;
     public MinecraftServer mcServer;
     public ServerPlayerController playerController;
-    public double field_9155_d;
-    public double field_9154_e;
-    public List loadedChunks;
-    public Set field_420_ah;
+
+    // Center of the player's view radius in MP
+    public double viewingX;
+    public double viewingZ;
+
+    public List<ChunkCoordinate> loadedChunks;
+    public Set<ChunkCoordinate> field_420_ah;
 
     private int lastHealth;
     private int lastScore;
     private int ticksOfInvuln;
-    private ItemStack playerInventory[] = {
+    private ItemStack[] playerInventory = {
             null, null, null, null, null
     };
     private int currentWindowId;
diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/src/main/java/net/minecraft/server/net/PlayerList.java
index 3defc4b7c..b6211d6ea 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -151,9 +151,9 @@ public class PlayerList
         getPlayerManager(player.dimension).addPlayer(player);
     }
 
-    public void func_613_b(ServerPlayer entityplayermp)
+    public void onPlayerMoved(ServerPlayer player)
     {
-        getPlayerManager(entityplayermp.dimension).func_543_c(entityplayermp);
+        getPlayerManager(player.dimension).onPlayerMoved(player);
     }
 
     public void playerLoggedOut(ServerPlayer entityplayermp)
@@ -237,11 +237,11 @@ public class PlayerList
         newPlayer.playerNetServerHandler.sendPacket(new RespawnPacket((byte) newPlayer.dimension, (byte) Registries.WORLD_TYPES.getNumericIdOfItem(worldserver.worldType)));
         server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(newPlayer.id, newPlayer.gamemode.getId()));
         newPlayer.playerNetServerHandler.teleportAndRotate(newPlayer.x, newPlayer.y, newPlayer.z, newPlayer.yRot, newPlayer.xRot);
-        func_28170_a(newPlayer, worldserver);
+        setTime(newPlayer, worldserver);
         getPlayerManager(newPlayer.dimension).addPlayer(newPlayer);
         worldserver.entityJoinedWorld(newPlayer);
         playerEntities.add(newPlayer);
-        newPlayer.func_20057_k();
+        newPlayer.setupCraftingInventoryListener();
         newPlayer.func_22068_s();
         newPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
         return newPlayer;
@@ -296,8 +296,8 @@ public class PlayerList
         serverPlayer.playerNetServerHandler.teleportAndRotate(serverPlayer.x, serverPlayer.y, serverPlayer.z, serverPlayer.yRot, serverPlayer.xRot);
         server.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(serverPlayer.id, serverPlayer.gamemode.getId()));
         serverPlayer.setWorld(worldserver1);
-        func_28170_a(serverPlayer, worldserver1);
-        func_30008_g(serverPlayer);
+        setTime(serverPlayer, worldserver1);
+        initializePlayerObject(serverPlayer);
         serverPlayer.playerNetServerHandler.sendPacket(new GameRulePacket(server.getDimensionWorld(0).getLevelData().getGameRules()));
     }
 
@@ -308,9 +308,9 @@ public class PlayerList
         }
     }
 
-    public void markBlockNeedsUpdate(int i, int j, int k, int l)
+    public void markBlockNeedsUpdate(int x, int y, int z, int dimension)
     {
-        getPlayerManager(l).markBlockNeedsUpdate(i, j, k);
+        getPlayerManager(dimension).markBlockNeedsUpdate(x, y, z);
     }
 
     public void sendPacketToAllPlayers(Packet packet)
@@ -650,7 +650,7 @@ public class PlayerList
 
     }
 
-    public void sendTileEntityToPlayer(int i, int j, int k, BlockEntity tileentity)
+    public void sendBlockEntityToPlayer(int x, int y, int z, BlockEntity blockEntity)
     {
     }
 
@@ -676,19 +676,19 @@ public class PlayerList
         loadWhiteList();
     }
 
-    public void func_28170_a(ServerPlayer entityplayermp, WorldServer worldserver)
+    public void setTime(ServerPlayer player, WorldServer worldserver)
     {
-        entityplayermp.playerNetServerHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
+        player.playerNetServerHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
 //        if(worldserver.func_27068_v())
 //        {
-//            entityplayermp.playerNetServerHandler.sendPacket(new BedMessagePacket(1));
+//            player.playerNetServerHandler.sendPacket(new BedMessagePacket(1));
 //        }
     }
 
-    public void func_30008_g(ServerPlayer entityplayermp)
+    public void initializePlayerObject(ServerPlayer player)
     {
-        entityplayermp.func_28017_a(entityplayermp.inventorySlots);
-        entityplayermp.func_30001_B();
+        player.initializeCraftingInventory(player.inventorySlots);
+        player.initializeLastFieldValues();
     }
 
 }
diff --git a/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java b/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
index 192eed88d..9ebdd6156 100644
--- a/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/LoginPacketHandler.java
@@ -191,7 +191,7 @@ public class LoginPacketHandler extends PacketHandler
             }
 
             packetHandler.sendPacket(new SetSpawnPositionPacket(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
-            mcServer.playerList.func_28170_a(player, worldserver);
+            mcServer.playerList.setTime(player, worldserver);
             mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(TextFormatting.YELLOW + player.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
             mcServer.playerList.sendPacketToAllPlayers(new UpdatePlayerProfilePacket(player.username, player.nickname, player.uuid, player.score, player.chatColor, true, player.isOperator()));
 
@@ -205,7 +205,7 @@ public class LoginPacketHandler extends PacketHandler
             mcServer.networkServer.addPlayer(packetHandler);
             mcServer.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(player.id, player.gamemode.getId()));
             packetHandler.sendPacket(new SetTimePacket(worldserver.getWorldTime()));
-            player.func_20057_k();
+            player.setupCraftingInventoryListener();
             if (MinecraftServer.statsStatus)
             {
                 RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + mcServer.playerList.playerEntities.size());
@@ -234,9 +234,9 @@ public class LoginPacketHandler extends PacketHandler
     }
 
     @Override
-    public void handlePingHandshake(PingHandshakePacket packet) {
+    public void handlePingHandshake(PingHandshakePacket pingHandshakePacket) {
         String msg = "";
-        if (packet.pingHostString.equals("MC|PingHost")) {
+        if (pingHandshakePacket.pingHostString.equals("MC|PingHost")) {
             msg =
                 "§1" +
                 '\0' +
@@ -249,7 +249,7 @@ public class LoginPacketHandler extends PacketHandler
                 0 +
                 '\0' +
                 0;
-        } else if (packet.pingHostString.equals("BTAPingHost")) {
+        } else if (pingHandshakePacket.pingHostString.equals("BTAPingHost")) {
             msg =
                 "§1" +
                 '\0' +
